/* Modal window */

aside.modal-slide.quiz-drawer._inner-scroll._show {
    max-width: 100rem;
    left: auto;
    z-index: 99999999 !important;
}

/* Modal header */

.quiz-drawer header.modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: var(--color-branding-primary);
    color: #ffffff;
    padding: 0 2.6rem;
    margin-bottom: 2rem;
  }
  
  
.quiz-drawer h1 {
    font-weight: 600;
    font-size: 2rem;
    margin: 0;
    color: #fff;
}

.quiz-drawer.modal-slide  button.action-close {
  padding: .5rem 2rem;
  position: relative;
}

.quiz-drawer.modal-slide .action-close:before {
  color: #fff;
}

/* Questions and answers */

.step {
    display: none;    
}

.question-title {
  display: none;
}



.question-info {
  padding: 1.5rem 0;
  margin-bottom: 1rem;
   background: var(--color-light-gray);
}

.completed .question-info {
  padding: .75rem 0;
}
  
.question-text {
  font-size: var(--text-h3-size);
  font-weight: bold;
  margin-bottom: 0;
  padding: 1rem 2rem;
  line-height: 1.2;
}

.answer-detail {
  display: flex;
  gap: 2rem;
  flex-direction: column;
}
  
.answer-text {
    height: 100%;
}
  
.answer-text p.caption {
    text-align: center;
}
  
div.answer-info {
    width: 100%;
}
  
.answer-info label {
    cursor: pointer;
    display: inline-block;
    height: 100%;
}
  
.answer-detail input[type="radio"] {
    position: absolute;
    top: .4rem;
    left: .6rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 50%;
    width: 1.5rem;
    height: 1.5rem;
    border: 2px solid var(--color-branding-primary);
    transition: 0.2s all linear;
}
  
.answer-detail input[type="checkbox"] {
  position: absolute;
  top: 1rem;
  left: 1.2rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 2.5rem;
  height: 2.5rem;
  border: 2px solid var(--color-dark-gray);
  transition: 0.2s all linear;
  background: #e8e7f0;
}
  
.answer-detail input:checked {
  background: #00b0db;
}
  
.section-title-wrapper {
    display: flex;
    align-items: center;
    gap: 2rem;
}
  
.section-title {
    font-size: var(--text-h1-size);
    font-weight: var(--font-weight-bold);
}
  
.question-info [data-role="content"] {
  display: flex;
  gap: 2rem;
  align-items: center;
  margin: 1rem 0 2rem;
  flex-direction: column;
  padding: 0 2rem;
}
  
.step.active {
      display: block;
}
  
.answer-content-wrapper {
    display: flex;
    position: relative;
    border: 2px solid var(--color-dark-gray);
    border-radius: 0.5rem;
    padding: 3rem;
    height: calc(100% - 6rem);
    background: #edf7ff;
    flex-direction: column;
    justify-content: center;
    transition: 0.2s all linear;
}
  
.answer-content-wrapper:hover,
.highlight .answer-content-wrapper {
    background: #ffffff;
}
  
.answer-content-wrapper img {
    padding-bottom: 1rem;
}
  
p.caption {
    margin-bottom: 0;
}

.question-info [data-role="collapsible"] {
    position: relative;
    z-index: 1;
  }
  
span.ui-icon-circle-plus:after,
span.ui-icon-circle-minus:after {
    position: absolute;
    right: 1rem;
    font-size: var(--text-h2-size);
    z-index: -1;
}
  
  span.ui-icon-circle-minus:after {
    content: "-";
  }
  
  span.ui-icon-circle-plus:after {
    content: "+";
  }

  .completed .question-text {
    margin-bottom: 0;
  }

  .completed .question-text::before {
    content: '';
    display: inline-block;
    transform: rotate(45deg);
    height: 1rem;
    width: .5rem;
    border-bottom: .4rem solid var(--color-pa-checked);
    border-right: .4rem solid var(--color-pa-checked);
    margin-right: 1rem;
    margin-left: .5rem;
}

.completed.question-info {
    background: var(--color-pa-answer-checked-bg);
    color: var(--color-text);
    padding: 0.75rem 0 0.75rem;
}


/* Success pages */

.cart-message ul {
  padding: 0 1.25em;
}

.cart-message h2 {
  margin: 0;
  line-height: 1.2;
  font-weight: 600;
}

.cart-message h3 {
  font-weight: 600;
}

.cart-message p {
  margin-bottom: 1rem;
}

#ri_virtualaudit_slideout .product-info-main {
  display: flex;
  align-items: center;
}

.product-image {
  text-align: center;
  margin-bottom: 2rem;
}

.cart-message .wrap {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-bottom: 1rem;
}

.cart-message svg {
  height: 4rem;
}

.cart-message.green-message svg {
  fill: var(--color-pa-icon-green);
}

.cart-message.yellow-message svg {
  fill: var(--color-pa-icon-yellow);
}

.cart-message.red-message svg {
  fill: var( --color-pa-icon-red);
}

@media only screen and (min-width: 768px) {
  #product-wrapper .product-info-main {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
}

/* Progress steps */

.progress-bar {
  background: url('purple-line.png') repeat-x center center;
  display: grid;
  align-items: center;
  margin: 0;
  height: 10rem;
  grid-template-columns: repeat(7, 1fr) 5rem;
}

.action-complete {
  font-size: 1.2rem;
  font-weight: bold;
}

.survey-step-detail {
  margin: 2rem 0;
}

.progress-bar.eight-steps {
  grid-template-columns: repeat(7, 1fr) 5rem;
}

.progress-bar.six-steps {
  grid-template-columns: repeat(5, 1fr) 5rem;
}

.end svg {
    background: #ffffff;
    padding: .9rem;
    border-radius: 2.2rem;
}

div#survey_progress_bar {
  background: #000;
  background: rgb(255,255,255);
  background: linear-gradient(180deg, rgba(255,255,255,1) 48%, 
  var(--color-survey-pregress-bar-background) 48%, 
  var(--color-survey-pregress-bar-background) 52%, 
  rgba(255,255,255,1) 52%, 
  rgba(255,255,255,1) 52%,
   rgba(255,255,255,1) 100%);
}

.progress-bar a {
  display: block;
}

.progress-bar > div:first-child {
    position: relative;
    left: -3px;
}

.progress-bar circle {
    fill: var( --color-branding-primary);
    stroke-width: 3;
    stroke: var( --color-branding-primary);
    transition: all 0.3s ease-in-out 0s;
}

.progress-bar a:hover circle,
.progress-bar .current {
  fill: #ffffff;
  stroke-width: 3;
}

.progress-bar a:hover circle,
.progress-bar .current circle {
    fill: #ffffff;
    r: 1.2rem;
    cx: 1.4rem;
}

img.info-circle {
    height: 2rem;
    vertical-align: sub;
    padding-left: 2px;
}

.progress-bar svg:not(:root) {
  overflow: visible;
  background: #145891;
  padding: 0;
  border-radius: 3rem;
}

.progressbar_step {
  position: relative;
}

circle,
rect {
  width: 2.8rem;
  height: 2.8rem;
  fill: #ffffff;
  stroke-width: 3;
  stroke: var(--color-dark-gray);
}

.progress-bar svg,
.answer-item svg {
  width: 2.8rem;
  height: 2.8rem;
}

circle {
    stroke: #707070;
    cx: 1.4rem;
    cy: 1.4rem;
    r: .8rem;
}

.question-info [data-role="collapsible"] {
  position: relative;
  z-index: 1;
}

span.ui-icon-circle-plus:after,
span.ui-icon-circle-minus:after {
  position: absolute;
  right: 1rem;
  font-size: var(--text-h2-size);
  z-index: -1;
}

span.ui-icon-circle-minus:after {
  content: "-";
}

span.ui-icon-circle-plus:after {
  content: "+";

}

.buttons-wrapper {
  margin: 0;
  display: flex;
  justify-content: space-between;
}

a.quiz_launcher_section {
  text-transform: lowercase;
  font-size: var(--text-small-size);
}

/* Progress bar style 1 */

div#survey_progress_bar {
  counter-reset: section;
}

.progressbar_step::before {
  counter-increment: section;
  content: counter(section);
  position: absolute;
  color: #ffffff;
  font-weight: bold;
  top: .3rem;
  left: 1rem;
}

.progressbar_step.current::before {
  color: var(--color-branding-primary);
}

.progress-bar .end {
  background: var(--color-branding-primary);
  display: flex;
  justify-content: center;
  padding: .5rem 1.25rem;
  border-radius: .3rem;
}

.progress-bar .end svg {
  fill: #ffffff;
}

/* Info modal */

div.modal-content {
  padding-bottom: 3rem;
}

.modal-popup .modal-header {
  padding-top: 2rem;
}

#information-modal h2 {
  margin-top: 0;
  display: inline-block;
  border-bottom: var(--color-branding-primary) .5rem solid;
  padding-bottom: .5rem;
}

/* Product grid */

.product-items {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  justify-content: center;
  justify-items: center;
  gap: 2rem;
}


.product-item-info {
  max-width: 100%;
  width: 100%;
  text-align: center;
  padding: 0;
}

@media only screen and (min-width: 768px) {

  .answer-detail {
    display: flex;
    gap: 2rem;
    flex-direction: row;
  }

}

